body {
    margin:0;
    font-family: Arial, sans-serif;
    text-align:center;
    color: black;
    background: white;
    background-image: url("https://dl.dropboxusercontent.com/scl/fi/xyze9nq0kwk25ubseno9j/Sam-Cope-Background.png?rlkey=j3m1teh0vzj3a8vlv20xh5b7p&e=1")
    background-size: 100%;
    background-repeat: none;
    background-position: center;
}

a:link {
    color: black
}

h1 {
    color: black;
}

a:hover {
    text-decoration: underline;
    color: pink;
}

a:visited {
    text-decoration: none;
    color: black;
}

/* Main wrapper */
.main{
    display:flex;
    flex-direction:column;
    align-items:center;
    color: black;
}

/* Navigation */

.navigation ul{
    list-style:none;
    padding:0;
    margin:20px 0;
    text-color: white;

    display:flex;
    justify-content:center;
    gap:30px;
}

.navigation a{
    text-decoration:none;
    text-color:white;
    font-weight:500;
    hover: pink;
}

/* Images */

.hero-image{
    width:70%;
    max-width:700px;
}

/* Sections */

.discography,
.about{
    text-align:center;
    max-width:900px;
    margin:0 auto;
    text-color: white;
}

.container {
    text-align:center;
    max-width:900px;
    margin:0 auto;
    padding:20px;
}

/* Album grid */

.discography {
  padding: 40px 40px;
}

.discography-title {
  text-align: center;
  text-color: white;
}

.album-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(220px, 1fr));
  gap: 25px;
}

.album-card {
  text-decoration: none;
  color: inherit;
}

.album-card figure {
  position: relative;
  margin: 0;
  overflow: hidden;
  border-radius: 0px;
}

.album-card img {
  width: 100%;
  display: block;
  transition: transform 0.1s ease;
}

.album-card:hover img {
  transform: scale(1.06);
}

.album-info {
  position: absolute;
  bottom: 0;
  width: 100%;
  padding: 10px;
  background: linear-gradient(transparent, rgba(0,0,0,0.85));
  color: white;
}

.album-info h3 {
  margin: 0;
  font-size: 16px;
}

.artist {
  font-size: 14px;
  opacity: 0.85;
}



.role {
  font-size: 12px;
  opacity: 1;
}

iframe {
  max-width: 100%;
  height: auto;
}
